package com.gic.auth.web.controller;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.auth.dto.AccountGroupDTO;
import com.gic.auth.service.AccountGroupApiService;
import com.gic.auth.web.vo.AccountGroupListVO;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetailUtils;

@RestController
@RequestMapping("/account-group")
public class AccountGroupController {
    private final static Logger LOGGER = LogManager.getLogger(AccountGroupApiService.class);
    @Autowired
    private AccountGroupApiService accountGroupApiService;

    /**
     * 新增账号分组
     * @Title: saveAccountGroup 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.commons.webapi.reponse.RestResponse 
      */
    @RequestMapping("/save")
    public RestResponse saveAccountGroup(AccountGroupDTO dto) {
        return ResultControllerUtils.commonResult(accountGroupApiService.save(dto));
    }

    @RequestMapping("/edit")
    public RestResponse editAccountGroup(AccountGroupDTO dto) {
        return ResultControllerUtils.commonResult(accountGroupApiService.update(dto));
    }

    @RequestMapping("/list")
    public RestResponse listAccountGroup() {
        Integer enterpriseId = UserDetailUtils.getUserDetail().getEnterpriseId();
        return ResultControllerUtils.commonResult(accountGroupApiService.listAccountGroupByEnterpriseId(enterpriseId),
                AccountGroupListVO.class);
    }

    @RequestMapping("/delete")
    public RestResponse deleteAccountGroup(Integer accountGroupId) {
        return ResultControllerUtils.commonResult(accountGroupApiService.deleteByAccountGroupId(accountGroupId));
    }

    @RequestMapping("/sort")
    public RestResponse sortAccountGroup(Integer accountGroupId, Integer sort) {
        return ResultControllerUtils.commonResult(accountGroupApiService.sort(accountGroupId, sort));
    }
}
